Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

CPanel Update Problem (WHM 10.8.0 cPanel 10.9.0-S58 to S77)

Discussion in 'General Discussion' started by Bulent Tekcan, Nov 22, 2006.

  1. Bulent Tekcan

    Bulent Tekcan Well-Known Member

    Joined:
    May 11, 2004
    Messages:
    180
    Likes Received:
    0
    Trophy Points:
    166
    Code:
    ==> Starting cPanel....
    Waiting for cpaneld to shutdown......Done
    Waiting for webmaild to shutdown......Done
    Waiting for cppop to shutdown......Done
    Waiting for cppop-ssl to shutdown......Done
    No child with pid: 18713
    [Errno 3] No such process
    Stale pid file removed.
    Shutting down Mailman's master qrunner
    mailmanctl: no process killed
    (internal death) Wed Nov 22 17:33:17 2006 [32672] error: List::Util object version 1.14 does not match bootstrap parameter 1.18 at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/XSLoader.pm line 92.
     at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/XSLoader.pm line 92
    	XSLoader::load('List::Util', 1.18) called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 25
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 27
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 19
    	require List/Util.pm called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 12
    	require Scalar/Util.pm called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 281
    	eval {...} called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 280
    	require DBI.pm called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBD/mysql.pm line 7
    	DBD::mysql::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	require DBD/mysql.pm called at /usr/local/cpanel/cpanellogd line 59
    	main::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    (internal death) Wed Nov 22 17:33:17 2006 [32672] error: List::Util object version 1.14 does not match bootstrap parameter 1.18 at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 30.
     at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 30
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 19
    	require List/Util.pm called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 12
    	require Scalar/Util.pm called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 281
    	eval {...} called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 280
    	require DBI.pm called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBD/mysql.pm line 7
    	DBD::mysql::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	require DBD/mysql.pm called at /usr/local/cpanel/cpanellogd line 59
    	main::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/List/Util.pm line 0
    (internal death) Wed Nov 22 17:33:17 2006 [32672] error: Undefined subroutine &Scalar::Util::weaken called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 283.
     at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 283
    	eval {...} called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBI.pm line 280
    	require DBI.pm called at /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi/DBD/mysql.pm line 7
    	DBD::mysql::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 0
    	require DBD/mysql.pm called at /usr/local/cpanel/cpanellogd line 59
    	main::BEGIN() called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 0
    	eval {...} called at /usr/lib64/perl5/5.8.5/x86_64-linux-thread-multi/Scalar/Util.pm line 0
    [a fatal error or timeout occurred while processing this directive][a fatal error or timeout occurred while processing this directive][a fatal error or timeout occurred while processing this directive]==> cPanel Log Daemon version 22.2
    ==> Shared RRDTOOL support enabled
    ==> Starting cpbandwd (bandwidth monitoring for IMAP/POP)
    
    Any idea for this problem ?
     
  2. krava

    krava Well-Known Member

    Joined:
    Sep 23, 2003
    Messages:
    149
    Likes Received:
    0
    Trophy Points:
    166
    cPanel Access Level:
    Root Administrator
    Hello.

    You need to update the perl module List::Util. It cabe downloaded on the page:
    http://search.cpan.org/~gbarr/Scalar-List-Utils-1.18/

    When it is on your box, in SSH do following:

    #tar -xvzf Scalar-List-Utils-1.18.tar.gz
    #perl Makefile.PL
    #make
    #make test
    #make install

    That's all.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Bulent Tekcan

    Bulent Tekcan Well-Known Member

    Joined:
    May 11, 2004
    Messages:
    180
    Likes Received:
    0
    Trophy Points:
    166
    Thanks for help,it's OK now ;)
     
  4. krava

    krava Well-Known Member

    Joined:
    Sep 23, 2003
    Messages:
    149
    Likes Received:
    0
    Trophy Points:
    166
    cPanel Access Level:
    Root Administrator
    Welcome, Bulent Tekcan :)
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. mctDarren

    mctDarren Well-Known Member

    Joined:
    Jan 6, 2004
    Messages:
    664
    Likes Received:
    3
    Trophy Points:
    168
    Location:
    New Jersey
    cPanel Access Level:
    Root Administrator
    In the future, you can install it right through cpanel using
    Code:
    /scripts/perlinstaller List::Util
    :D
     
  6. jeremy_reliable

    jeremy_reliable Active Member
    PartnerNOC

    Joined:
    Mar 8, 2004
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    151
    Well, you could, but then you'd have to go back and do it again the way listed above by krava.. which I cleaned up slightly. It seems perlinstaller is not doing the job


    wget http://cpan.mirrors.nks.net/authors/id/G/GB/GBARR/Scalar-List-Utils-1.18.tar.gz
    tar -zxvf Scalar-List-Utils-1.18.tar.gz
    cd Scalar-List-Utils-1.18/
    perl Makefile.PL
    make
    make test
    make install

    and if you still get the
    error with upcp.. next do:

    wget http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Class-Std-v0.0.8.tar.gz
    tar -zxvf Class-Std-v0.0.8.tar.gz
    cd Class-Std-v0.0.8
    perl Makefile.PL
    make
    make test
    make install

    Good luck
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice